summaryrefslogtreecommitdiffstats
path: root/dilos/core/tdebase/debian/svc/tdm
diff options
context:
space:
mode:
Diffstat (limited to 'dilos/core/tdebase/debian/svc/tdm')
-rwxr-xr-xdilos/core/tdebase/debian/svc/tdm81
1 files changed, 81 insertions, 0 deletions
diff --git a/dilos/core/tdebase/debian/svc/tdm b/dilos/core/tdebase/debian/svc/tdm
new file mode 100755
index 000000000..b50e2c135
--- /dev/null
+++ b/dilos/core/tdebase/debian/svc/tdm
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Copyright (c) 2012-2020, DilOS.
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+# SOFTWARE.
+#
+# smf_method(5) start/stop script
+
+. /lib/svc/share/smf_include.sh
+
+# Read command line arguments
+method="$1" # %m
+instance="$2" # %i
+
+if [ -z ${SMF_FMRI} ]
+then
+ SMF_FMRI="svc:/system/tdm:${instance}"
+fi
+
+DAEMON=/usr/bin/tdm
+PIDFILE=/var/run/tdm.pid
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/tdm ] && . /etc/default/tdm
+
+tdm_start()
+{
+
+# LD_PRELOAD=libGL.so.1
+ ${DAEMON} -daemon $TDM_OPTIONS
+}
+
+
+tdm_stop()
+{
+
+ if [ -f ${PIDFILE} ]; then
+ kill -TERM $(cat ${PIDFILE})
+ else
+ pkill -TERM -f ${DAEMON}
+ fi
+ rm -f ${PIDFILE}
+}
+
+case "$method" in
+start)
+ tdm_start
+ ;;
+
+stop)
+ tdm_stop
+ ;;
+
+reload|refresh)
+ pkill -HUP -f ${DAEMON}
+ ;;
+
+*)
+ echo "Usage: $0 [start|stop|refresh]"
+ exit 1
+ ;;
+esac